Name:           fdragon-mock-configs
Version:        2019.11.02
Release:        1%{?dist}
Summary:        fdragon mock configs

License:        GPLv3+
URL:            http://fdragon.org
Source1:        fdl-epel-6-i386.cfg
Source2:        fdl-epel-6-x86_64.cfg
Source3:        fdl-epel-7-x86_64.cfg
Source4:        fdl-epel-8-x86_64.cfg
Source5:        fdl-fedora-30-i386.cfg
Source6:        fdl-fedora-30-x86_64.cfg
Source7:        fdl-fedora-31-x86_64.cfg
Source100:      makerepo

# BuildRequires:  
Requires:       httpd
Requires:       mock
Requires:       mock-scm
Requires:       fedora-packager
%if 0%{?fedora}
Requires:       createrepo_c
%endif
%if 0%{?rhel}
Requires:       createrepo
%endif


%description


%prep


%build


%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/mock/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.hourly/
%{__install} %{SOURCE1} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE2} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE3} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE4} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE5} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE6} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE7} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE100} %{buildroot}%{_sysconfdir}/cron.hourly/
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/6/i386/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/6/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/7/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/8/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/30/i386/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/30/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/31/x86_64/repodata


%post
if [ -x /usr/bin/createrepo_c ]
then
  CREATEREPO=/usr/bin/createrepo_c
else
  CREATEREPO=/usr/bin/createrepo
fi
${CREATEREPO} -d -q -x *.src.rpm /var/www/html/packages/epel/6/i386/
${CREATEREPO} -d -q -x *.src.rpm /var/www/html/packages/epel/6/x86_64/
${CREATEREPO} -d -q -x *.src.rpm /var/www/html/packages/epel/7/x86_64/
${CREATEREPO} -d -q -x *.src.rpm /var/www/html/packages/epel/8/x86_64/
${CREATEREPO} -d -q -x *.src.rpm /var/www/html/packages/fedora/30/i386/
${CREATEREPO} -d -q -x *.src.rpm /var/www/html/packages/fedora/30/x86_64/
${CREATEREPO} -d -q -x *.src.rpm /var/www/html/packages/fedora/31/x86_64/


%files
# %license add-license-file-here
# %doc add-docs-here
%defattr(-,root,root,-)
%config %attr(0644,root,root) %{_sysconfdir}/mock/*.cfg
%attr(0755,root,root) %{_sysconfdir}/cron.hourly/makerepo

%dir %attr(2775,root,mock) /var/www/html/packages
%dir %attr(2775,root,mock) /var/www/html/packages/epel
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6/i386
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6/i386/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/epel/7
%dir %attr(2775,root,mock) /var/www/html/packages/epel/7/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/epel/7/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/epel/8
%dir %attr(2775,root,mock) /var/www/html/packages/epel/8/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/epel/8/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30/i386
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30/i386/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/31
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/31/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/31/x86_64/repodata


%changelog
* Sat Nov  2 2019 Jason Rothstein <fdragon@fdragon.org>
- remove epel 5
- remove trixbox 2.6/2.8
- remove fedora 29
- remove fedora 31 i386
- add epel 8
- convert fedora 30/31 to templates like upstream

* Sun Sep 22 2019 Jason Rothstein <fdragon@fdragon.org>
- remove fedora 28
- add fedora 31
- local packages use dedicated root instead of the fedora root

* Thu Jul 04 2019 Jason Rothstein <fdragon@fdragon.org>
- Add createrepo dependency
- Add makerepo hourly cron job
- Use createrepo_c when available

* Tue May 14 2019 Jason Rothstein <fdragon@fdragon.org>
- New version for Fedora 30

